<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
            <h2 id="jhi-ator-heading" jhiTranslate="locadoraApp.ator.home.createOrEditLabel">Create or edit a Ator</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!ator.id">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id"
                        [(ngModel)]="ator.id" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="locadoraApp.ator.nome" for="field_nome">Nome</label>
                    <input type="text" class="form-control" name="nome" id="field_nome"
                        [(ngModel)]="ator.nome" required/>
                    <div [hidden]="!(editForm.controls.nome?.dirty && editForm.controls.nome?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.nome?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label jhiTranslate="locadoraApp.ator.filme" for="field_filme">Filme</label>
                    <select class="form-control" id="field_filme" multiple name="filme" [(ngModel)]="ator.filmes">
                        <option [ngValue]="getSelected(ator.filmes, filmeOption)" *ngFor="let filmeOption of filmes; trackBy: trackFilmeById">{{filmeOption.id}}</option>
                    </select>
                </div>
            </div>
            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
